Qt 5.9 | Qt Multimedia | C++ Classes | QCameraViewfinderSettingsControl2

Qt 5.9.4 Reference Documentation

# QCameraViewfinderSettingsControl2 Class

The QCameraViewfinderSettingsControl2 class provides access to the viewfinder settings of a camera media service. More...

Header: | #include <QCameraViewfinderSettingsControl2>
qmake: | QT += multimedia
Since: | Qt 5.5
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraViewfinderSettingsControl2()
virtual void | setViewfinderSettings(const QCameraViewfinderSettings &settings) = 0
virtual QList<QCameraViewfinderSettings> | supportedViewfinderSettings() const = 0
virtual QCameraViewfinderSettings | viewfinderSettings() const = 0

## Protected Functions

| QCameraViewfinderSettingsControl2(QObject *parent = Q_NULLPTR)

## Macros

| QCameraViewfinderSettingsControl2_iid

## Detailed Description

The QCameraViewfinderSettingsControl2 class provides access to the viewfinder settings of a camera media service.

The functionality provided by this control is exposed to application code through the QCamera class.

The interface name of QCameraViewfinderSettingsControl2 is `org.qt-project.qt.cameraviewfindersettingscontrol2/5.5` as defined in QCameraViewfinderSettingsControl2_iid.

See also QMediaService::requestControl(), QCameraViewfinderSettings, and QCamera.

## Member Function Documentation

### `[protected]` QCameraViewfinderSettingsControl2::QCameraViewfinderSettingsControl2(QObject *parent = Q_NULLPTR)

Constructs a camera viewfinder settings control object with parent.

### `[virtual]` QCameraViewfinderSettingsControl2::~QCameraViewfinderSettingsControl2()

Destroys the camera viewfinder settings control object.

### `[pure virtual]` void QCameraViewfinderSettingsControl2::setViewfinderSettings(const QCameraViewfinderSettings &settings)

Sets the camera viewfinder settings.

See also viewfinderSettings().

### `[pure virtual]` QList<QCameraViewfinderSettings> QCameraViewfinderSettingsControl2::supportedViewfinderSettings() const

Returns a list of supported camera viewfinder settings.

The list is ordered by preference; preferred settings come first.

### `[pure virtual]` QCameraViewfinderSettings QCameraViewfinderSettingsControl2::viewfinderSettings() const

Returns the viewfinder settings.

If undefined or unsupported values are passed to QCameraViewfinderSettingsControl2::setViewfinderSettings(), this function returns the actual settings used by the camera viewfinder. These may be available only once the camera is active.

See also setViewfinderSettings().

## Macro Documentation

### QCameraViewfinderSettingsControl2_iid

`org.qt-project.qt.cameraviewfindersettingscontrol2/5.5`

Defines the interface name of the QCameraViewfinderSettingsControl2 class.